# pnmmargin

Updated: 10 August 2024
Table Of Contents

## NAME

pnmmargin - add borders to a PNM image

## SYNOPSIS

pnmmargin [-white|-black|-color colorspec] size [pnmfile]

## DESCRIPTION

This program is part of Netpbm.

pnmmargin adds a border around a PNM image.

## ARGUMENTS

pnmfile is the name of the input file. If you don't specify this argument, pnmmargin reads the input image from its Standard Input.

## OPTIONS

In addition to the options common to all programs based on libnetpbm (most notably -plain, see Common Options), pnmmargin recognizes the following command line options:

You can specify the border color with the -white, -black, and -color options. If you don't specify a color, the program makes a guess.

The value of -color is like the argument of the pnm_parsecolor() library routine.

The -plain common option was implemented beginning with Netpbm version 10.40 (September 2007).

The -quiet common option is not implemented.

## NOTES

pnmpad does essentially the same thing, but gives you more control over the individual margins and does only black and white margins.

To remove a border of a specified size from an image, usepamcut. pnmcrop also removes borders, but determines by itself what is border and what is subject.

If you want to make the image a certain required size, adding borders or cropping as necessary, pamcut may be what you want.

## SEE ALSO

- pamcut
- pnmcrop
- pamcat
- pnmpad
- pnm

## AUTHOR

Copyright (C) 1991 by Jef Poskanzer.

## Table Of Contents

- SYNOPSIS
- DESCRIPTION
- ARGUMENTS
- OPTIONS
- NOTES
- SEE ALSO
- AUTHOR